<?php
/**
 * 网站模板设置
 */
$title = '网站模板设置';
include "header.php";
$template_arr = for_dir("../template/");
?>
<div class="row">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <h3 class="mb-3 header-title text-success"><?= $title ?></h3>
                        <form class="form-horizontal layui-form">
                            <div class="form-group mb-3">
                                <label for="example-input-normal">首页模板（PC端）</label>
                                <select class="custom-select mt-3" lay-search name="template">
                                    <?php
                                    foreach ($template_arr as $v) {
                                        echo '<option ';
                                        echo $conf['template'] == $v ? 'selected' : null;
                                        echo ' value="' . $v . '">' . $v . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="form-group mb-3">
                                <label for="example-input-normal">首页模板（手机端）</label>
                                <select class="custom-select mt-3" lay-search name="template_m">
                                    <?php
                                    foreach ($template_arr as $v) {
                                        echo '<option ';
                                        echo $conf['template_m'] == $v ? 'selected' : null;
                                        echo ' value="' . $v . '">' . $v . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="form-group mb-3">
                                <label for="example-input-normal">背景图片</label>
                                <select class="custom-select mt-3" lay-search name="background">
                                    <option <?= $conf['background'] == 1 ? 'selected' : '' ?> value="1">每日必应背景(快)
                                    </option>
                                    <option <?= $conf['background'] == 2 ? 'selected' : '' ?> value="2">随机必应背景(慢)
                                    </option>
                                    <option <?= $conf['background'] == 3 ? 'selected' : '' ?> value="3">二次元背景图(慢)
                                    </option>
                                    <option <?= $conf['background'] == 4 ? 'selected' : '' ?> value="4">模板默认背景(快)
                                    </option>
                                    <option <?= $conf['background'] == 5 ? 'selected' : '' ?> value="5">自定义背景图(快)
                                    </option>
                                </select>
                                <div class="text-danger mt-1">自定义背景图存放到：assets/img/bj.png,若无则会显示空白！</div>
                            </div>
                            <div class="form-group mb-3">
                                <label for="example-input-normal">CDN节点</label>
                                <select class="custom-select mt-3" lay-search name="cdnpublic">
                                    <option <?= $conf['cdnpublic'] == 1 ? 'selected' : '' ?> value="1">360CDN</option>
                                    <option <?= $conf['cdnpublic'] == 2 ? 'selected' : '' ?> value="2">BootCDN</option>
                                    <option <?= $conf['cdnpublic'] == 3 ? 'selected' : '' ?> value="3">今日头条</option>
                                    <option <?= $conf['cdnpublic'] < 1 || $conf['cdnpublic'] > 3 ? 'selected' : '' ?>
                                            value="4">七牛云CDN
                                    </option>
                                </select>
                            </div>

                            <div class="form-group mb-3">
                                <label for="example-input-normal">小储云官方CDN加速</label>
                                <select class="custom-select mt-3" lay-search name="cdnserver">
                                    <option <?= $conf['cdnserver'] == 1 ? 'selected' : '' ?> value="1">开启官方CDN加速</option>
                                    <option <?= $conf['cdnserver'] == 2 ? 'selected' : '' ?> value="2">关闭官方CDN加速</option>
                                </select>
                            </div>

                            <button type="submit" lay-submit lay-filter="Notification_set"
                                    class="btn btn-block btn-xs btn-success">保存内容
                            </button>
                        </form>

                        <span class="mt-3" style="display: block">获取更多模板欢迎加入<a href="http://api.ln.cn/" target="_blank"><span
                                    class="badge badge-primary-lighten">晴天Market</span></a> ( 需授权）</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<?php include "bottom.php"; ?>

<script>
    layui.use('form', function () {
        var form = layui.form;
        form.on('submit(Notification_set)', function (data) {
            layer.alert('是否要执行当前操作？', {
                icon: 3, btn: ['确定', '取消'], btn1: function (layero, index) {
                    var index = layer.msg('数据保存中,请稍后...', {icon: 16, time: 999999});
                    $.post('ajax.php?act=config_set', data.field, function (res) {
                        if (res.code == 1) {
                            layer.close(index);
                            layer.alert(res.msg, {
                                btn1: function (layero, index) {
                                    location.reload();
                                }
                            });
                        } else {
                            layer.close(index);
                            layer.alert(res.msg, {
                                btn1: function (layero, index) {
                                    location.reload();
                                }
                            });
                        }
                    });
                }
            });
            return false;
        })
    })
</script>


